Mac 中使用多版本node & PHP

Mac 安装brew

/bin/zsh -c "$(curl -fsSL https://gitee.com/cunkai/HomebrewCN/raw/master/Homebrew.sh)"

vue开发过程中使用npm来安装依赖的第三方包,但是不同版本的npm对包的维护方式不一样,更新node后旧项目易无法安装包导致无法运行,因此需要多个版本的node。

node

Mac中可以使用brew来管理node工具,使用多版本的node时需要安装nvm,之前已经安装了node的话需要首先删除node,brew list可查看是否已安装node和nvm。

删除node

brew remove --force node
sudo rm -r /usr/local/lib/node_modules

brew prune
sudo rm -r /usr/local/include/node

安装nvm

brew install nvm

在~/.zshrc或者~/.bashrc中添加下面命令,取决于终端使用的哪种

export NVM_DIR=~/.nvm
source $(brew --prefix nvm)/nvm.sh

执行source ~/.zshrc or source ~/. bashrc

查看nvm是否安装成功 nvm -v

nvm安装node

假如需要安装10.24.0

nvm install v10
or
nvm install v10.24.0

使用node -vnpm -v查看是否安装成功

nvm list可列出已安装的node版本,假如安装了v10.24.0 和v15.12.0两个版本,使用15版本时执行命令

nvm use v15

php

使用brew控制PHP版本,加入准备使用PHP7.2 和 PHP7.4
首先安装PHP

brew install php@7.2
brew install php@7.4

~/.zshrc中添加

 export PATH="/usr/local/opt/php@7.2/bin:$PATH"
 export PATH="/usr/local/opt/php@7.2/sbin:$PATH"

 export PATH="/usr/local/opt/php@7.4/bin:$PATH"
 export PATH="/usr/local/opt/php@7.4/sbin:$PATH"

使用PHP7.2时

brew link php@7.2

并且将~/.zshrc中php@7.4的配置注释,执行

source ~/.zshrc

php -v 查看当前版本

重启php-fpm

查看php-fpm端口是否在被php-fpm使用

sudo lsof -i:9000

一般修改 php.ini 文件后经常需要重启php-fpm

sudo  killall  php-fpm   // 关闭

再输入 sudo lsof -i:9000 就会发现php-fpm没有打印对应端口

sudo  php-fpm    // 重启

解决composer超出内存

php -d memory_limit=-1 /usr/local/bin/composer require lib

推荐阅读更多精彩内容